<?php
declare(strict_types=1);

namespace App\Service\Mailer\Model;

/**
 * Classe SubdomainChangeModel qui conserve les données pour construire le mail lors du changement de nom de domaine
 */
class SubdomainChangeModel extends AbstractMailerModel implements MailerModelInterface
{
    private int $organizationId;
    private int $subdomainId;
    private string $url;

    public function __construct()
    {}

    public function setOrganizationId(int $organizationId) : self{
        $this->organizationId = $organizationId;
        return $this;
    }

    public function getOrganizationId(): int {
        return $this->organizationId;
    }

    public function setSubdomainId(int $subdomainId): self {
        $this->subdomainId = $subdomainId;
        return $this;
    }

    public function getSubdomainId(): int{
        return $this->subdomainId;
    }

    public function setUrl(string $url): self {
        $this->url = $url;
        return $this;
    }

    public function getUrl(): string{
        return $this->url;
    }
}